/****************************************************
*  File: Board.cpp
*  Purpose: Contains the Tic Tac Toe board class
*
*  Date:    Author:    Notes:
*  050505   morelli    Initial rev
*
*
*
****************************************************/

#include <stdio.h>
 
#include "Board.h"

/***************************************************/
Board::Board(Board *_parent)
{
  parent = _parent;
  score = 0;
  for (int x = 0; x< 9; x++)
  {
    children[x] = 0;
  }
}
/***************************************************/
Board::~Board()
{
  for (int x = 0; x<9; x++)
  {
    if (children[x])
      delete (children[x]);
  }
}

/***************************************************/
