/****************************************************
*  File: Defs.h
*  Purpose: Defines Constants
*
*  Date:    Author:    Notes:
*  050505   morelli    Initial rev
*
*
*
****************************************************/





#ifndef __DEFS_H__
#define __DEFS_H__


#define getrandom( min, max ) ((rand() % (int)(((max) + 1) - (min))) + (min))

#define VERY_LARGE 1000
#define VERY_SMALL -1000

#define XTURN 1
#define OTURN 0

#define XWINS 1
#define OWINS -1
#define TIE   0
#define NOWINS 7

#define MAXNODES 9

#define MAXIMIZE 0
#define MINIMIZE 1

#define MAX_VALUE 1000000
#define MIN_VALUE -1000000


#define WWIN     30
#define WBLK     20
#define WAWIN    10
#define WALOSS  -10
#define WLBLOCK -20
#define WLOSS   -30






#endif
