/****************************************************
*  File: Net.h
*  Purpose: Logic for constructing a neural net for Tic Tac Toe
*
*  Date:    Author:    Notes:
*  050505   morelli    Initial rev
*
*
*
****************************************************/





#ifndef __NET_H__
#define __NET_H__
#include "Node.h"


class Net
{
  public:
    Net(double * _weights, double * _thresholds);
    ~Net();
    void GenerateNet();
    double Eval();
    void SetInputValues(int * _value);

  private:
    double weights[95];
    double thresholds[23];
    
    int inputValues[9];

    int numInputs ;
    int numLevels ;
    int * levelNodes ;
    Node ** inputNodes;
    Node ** nodeMap;
    int totalNodes ;


};


#endif
